# cmd_discord/howl.py
from discord.ext import commands
import cmd_common.common_commands as cc

def setup(bot):
    """
    Registers the '!howl' command for Discord.
    """
    @bot.command(name="howl")
    async def cmd_howl_text(ctx):
        """
        Handle the '!howl' command.
        Usage:
          - !howl -> Attempts a howl.
          - !howl stat <user> -> Looks up howling stats for a user.
        """
        result = cc.handle_howl_command(ctx)
        await ctx.reply(result)
