# cmd_discord/howl.py
from discord.ext import commands
import cmd_common.common_commands as cc

def setup(bot):
    """
    Registers the '!howl' command for Discord.
    """
    @bot.command(name='funfact', aliases=['fun-fact'])
    async def funfact_command(ctx, *keywords):
        # keywords is a tuple of strings from the command arguments.
        fact = cc.get_fun_fact(list(keywords))
        # Reply to the invoking user.
        await ctx.reply(fact)